Stencyl 3.4.0 is now out. Get it now!

[IOS/Android] Heyzap advertising (Interstitial & Rewarded Video) 2.9

robinschaafsma

  • *
  • Posts: 574
I have v0.0.8 of the Extension manager with v2.8 of the Heyzap extension. In the Heyzap-master folder, I have version 4.0.6-r2 of the Vungle framework. Which I don't think is the latest version, but I think I had  compile error when I copied the latest version into there. It's the same version as is in my Vungle extension folder (in engine-extensions) which appears to work.
You don't must have the 4.0.6-r2 vungle framework inside the heyzap extension, it must be in the Vungle extension framework folder and the embeddedframework has to be in th template->PROJ-Classes folder.
You cannot update the framework by your self, because the extension manager has to be updated also.

As colburt already said, test ads are active for Vungle in Heyzap if you enable test ads in the Vungle Dashboard.

I advise to re-install the extensions (vungle and manager) and follow this tutorial https://github.com/byrobingames/heyzap/wiki/4.-Error-on-Compiling to add the vungle framework inside the vungle extension and not in the heyzap extension.
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



robinschaafsma

  • *
  • Posts: 574
update
-2.9 (2017-03-19)
           - SDK 10 not in develop by Heyzap anymore, back to SDK 9.7.1
           - Android Gradle support for openfl4 update

If you already purchases this extension, just login to your account on my store to re-download this extension.

« Last Edit: March 22, 2017, 02:14:30 pm by robinschaafsma »
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



colburt187

  • *
  • Posts: 1801
Do you recommend I make any changes? I'm in the process of doing my first update to a live game that has the SDK10 extension etc.

robinschaafsma

  • *
  • Posts: 574
Do you recommend I make any changes? I'm in the process of doing my first update to a live game that has the SDK10 extension etc.
Heyzap with SDK10 still works but Heyzap contacted me that they have stop  developing SDK10, so i always recommend to update to the stable version of the extension with SDK 9.7.1.
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Northfield82

  • *
  • Posts: 637
Hey,

Si i've received an error uploading my build through Application Loader, I've come across this thread and think maybe I'm having similar issues - with Hey Zap?

The error I'm receiving is "The app's Info.plist must contain an NSCalendarsUsageDescription"

Do I need to fix the mediation settings on Hey Zap, or change the SDK to 9.7.1 or something else?

Thanks Robin.

robinschaafsma

  • *
  • Posts: 574
Hey,

Si i've received an error uploading my build through Application Loader, I've come across this thread and think maybe I'm having similar issues - with Hey Zap?

The error I'm receiving is "The app's Info.plist must contain an NSCalendarsUsageDescription"

Do I need to fix the mediation settings on Hey Zap, or change the SDK to 9.7.1 or something else?

Thanks Robin.
I added NSCalendarsUsageDescription in the byrobin extension manager version 0.0.8, but i advice to update Heyzap and the extension manager to the latest version
byRobinGames.com


I'am not always on the forum, you can mail me if you have an question. info@byrobin.nl



Northfield82

  • *
  • Posts: 637
Thanks robin, do I need to delete the old folders from my stencil  folder before I update? 

I have Extension Manager v0.1.2 and HeyZap Advertiser 2.5 installed.....

...though I did try and download and reinstall them yesterday- but I didn't delete anything first?

« Last Edit: Today at 05:29:20 am by Northfield82 »